
import { ActionFormData } from "@minecraft/server-ui"
import { world } from "@minecraft/server"
function getScore(entity, objective) {
    try {
        const command = entity.runCommand(`scoreboard players test @s ${objective} * *`);
        return parseInt(command.statusMessage.split(/\s+/)[1]);
    } catch (error) {
        return 0;
    }
}
world.events.itemUse.subscribe(data => {
    const player = data.source
    const item = data.item
    if (item.typeId == "minecraft:emerald") {
        try {
            player.runCommandAsync("tag @a[r=3,tag=alive] add victim")
            player.runCommandAsync("execute if entity @a[r=3,tag=alive] run scoreboard players add @p xp 5")
            player.runCommandAsync("execute at @a[r=3,tag=alive] run scoreboard players remove Alive main 1")
            player.runCommandAsync("tag @a[r=3,tag=alive] remove alive")
            player.runCommandAsync("event entity @a[tag=victim,tag=fass] fass")
            player.runCommandAsync(`tp @a[r=3,tag=victim] @r[c=1,name=teleport,type=armor_stand]`)
            player.runCommandAsync("clear @a[tag=victim] snowball 1 0")
            player.runCommandAsync(`replaceitem entity @a[tag=victim] slot.hotbar 4 emerald 1 0 {"item_lock": { "mode": "lock_in_inventory" }, "item_lock": { "mode": "lock_in_slot" } , "keep_on_death": {} }`)
            player.runCommandAsync(`execute at @a[tag=victim] run particle minecraft:explosion_particle ~ ~1 ~`)
            player.runCommandAsync("playsound note.pling @a[tag=victim]")
            player.runCommandAsync("event entity @a[tag=victim,tag=!fass,tag=!monkey] zucker")
            player.runCommandAsync(`event entity @a[tag=victim,tag=fass] fass `)
            player.runCommandAsync(`event entity @a[tag=victim,tag=monkey] monkey `)
        }
        catch { }
        try {
            player.runCommandAsync("execute if entity @p[tag=!alive,r=4] run scoreboard players remove victim main 1")
            player.runCommandAsync(`tp @s @r[c=1,name=teleport,type=armor_stand]`)
            try { player.runCommandAsync(`event entity @a[tag=victim,tag=fass] fass `) } catch { }
            try { player.runCommandAsync(`event entity @a[tag=victim,tag=monkey] monkey `) } catch { }
        } catch { }
    }
    if (item.typeId == "minecraft:paper") {
        const action = new ActionFormData()
        action.title("Costume")
        action.body(`Choose a victim Costume.\nyour Score: ${getScore(player, "xp")}`)
        action.button("Sugar Cane\nDefault")
        action.button(`Barrel\n1300 Xp`)
        action.button("Monkey\n3000 Xp")
        action.show(player).then(data => {
            if (data.selection === 0) {
                try {
                    player.runCommandAsync("tag @s remove fass")
                    player.removeTag("monkey")
                } catch { }
            }
            if (data.selection === 1 && getScore(player, "xp") >= 1300) {
                player.runCommandAsync("tag @s add fass")
                player.removeTag("monkey")
            }
            if (data.selection === 2 && getScore(player, "xp") >= 3000) {
                player.runCommandAsync("tag @s add monkey")
                player.removeTag("fass")
            }
        })

    }
})